Bug 630835 - Sweave style not at the good place
Summary: Sweave style not at the good place
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-07 07:08 UTC by Fabien Archambault
Modified: 2011-08-26 21:57 UTC (History)
5 users (show)

Fixed In Version: R-2.13.1-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 02:26:58 UTC
Type: ---


Attachments (Terms of Use)

Description Fabien Archambault 2010-09-07 07:08:19 UTC
Following a discution in the french forum of Fedora (http://forums.fedora-fr.org/viewtopic.php?pid=429689#p429689) it appears that in the package R-core the style Sweave.sty is not in the right folder.

# yum provides \*/Sweave.sty
R-core-2.11.0-1.fc13.i686 : The minimal R components necessary for a functional runtime
Repo        : fedora
Matched from:
Filename    : /usr/share/R/texmf/Sweave.sty

It should be in:
/usr/share/texmf/tex/latex/sweave/

or a folder that is similar to this.

Comment 1 Michel Alexandre Salim 2010-12-16 12:55:50 UTC
There are some packaging tricks here for TeX -- they should probably be turned into guidelines at some point. Either symlink the sweave directory (which is the workaround I use now), or move it completely, but in either case, texhash or mktexlsr is needed afterwards:

http://fedoraproject.org/wiki/Packaging_tricks#Installing_TeX_files_.28unvetted.29

Comment 2 Hin-Tak Leung 2011-03-29 12:47:52 UTC
(In reply to comment #1)
> There are some packaging tricks here for TeX -- they should probably be turned
> into guidelines at some point. Either symlink the sweave directory (which is
> the workaround I use now), or move it completely, but in either case, texhash
> or mktexlsr is needed afterwards:
> 
> http://fedoraproject.org/wiki/Packaging_tricks#Installing_TeX_files_.28unvetted.29

This is surprising - does setting TEXINPUTS or other TEX-related environment variables work? I would have thought TEXINPUTS=${TEXINPUTS}:/usr/share/R/texmf//
(note the double // at the end - that means sub-directories recursively) should do *.sty files.

Comment 3 Bug Zapper 2011-05-31 14:16:36 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Hin-Tak Leung 2011-06-01 03:40:28 UTC
The standard way of TEXINPUTS=${TEXINPUTS}:/usr/share/R/texmf//
works. No need to do texhash.

Comment 5 Bug Zapper 2011-06-28 13:18:04 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Fedora Update System 2011-08-09 15:19:22 UTC
R-2.13.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/R-2.13.1-3.fc15

Comment 7 Fedora Update System 2011-08-09 15:20:35 UTC
R-2.13.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/R-2.13.1-3.el6

Comment 8 Fedora Update System 2011-08-09 15:20:44 UTC
R-2.13.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/R-2.13.1-3.fc16

Comment 9 Fedora Update System 2011-08-09 15:20:53 UTC
R-2.13.1-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/R-2.13.1-3.el4

Comment 10 Fedora Update System 2011-08-09 15:21:01 UTC
R-2.13.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/R-2.13.1-3.fc14

Comment 11 Fedora Update System 2011-08-09 15:21:09 UTC
R-2.13.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/R-2.13.1-3.el5

Comment 12 Fedora Update System 2011-08-18 02:26:52 UTC
R-2.13.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-08-18 02:35:02 UTC
R-2.13.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-08-22 15:26:21 UTC
R-2.13.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-08-26 21:53:53 UTC
R-2.13.1-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-08-26 21:54:49 UTC
R-2.13.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-08-26 21:56:58 UTC
R-2.13.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.